#
# spec file for package unclutter
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://www.ibiblio.org/pub/X11/contrib/utilities/

Name:           unclutter
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Version:        8
Release:        bp156.3.5
Provides:       unclutt = %{version}
Obsoletes:      unclutt < %{version}
Summary:        Remove the idle cursor image from the screen
License:        SUSE-Public-Domain
Group:          System/X11/Utilities
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-return.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unclutterer removes the cursor image from the screen so that it does
not obstruct the area you are looking at after it has not moved for a
given period of time.



Authors:
--------
    Mark M Martin <mmm@cetia.fr>
    Andreas Stolcke <stolcke@ICSI.Berkeley.EDU>

%prep
%setup -q
%patch

%build
xmkmf
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%doc %{_mandir}/*/*

%changelog
* Mon Jan  8 2018 crrodriguez@opensuse.org
- Remove buildrequires on xorg-x11-devel
- fix unversioned self-obsoletion
* Sun Aug  6 2006 cthiel@suse.de
- fix build with X.org 7.1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May  7 2004 hmacht@suse.de
- added #norootforbuild in specfile
* Mon Apr 19 2004 mjancar@suse.cz
- add return to nonvoid functions
* Thu Aug  9 2001 dan@suse.cz
- use bzip instead of gzip
* Wed Nov 29 2000 smid@suse.cz
- renamed: unclutt => unclutter
* Fri Apr 28 2000 smid@suse.cz
- buildroot added
* Wed Feb 16 2000 kukuk@suse.de
- fill out grup tag.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jan 19 1999 kukuk@suse.de
- initial package: version 8
